Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595772 - Add unique constraints
Summary: Add unique constraints
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin
Version: Development
Hardware: All
OS: Linux
high
medium
Target Milestone: 1.3
: ---
Assignee: Justin Ross
QA Contact: Jan Sarenik
URL:
Whiteboard:
Depends On:
Blocks: 595746
TreeView+ depends on / blocked
 
Reported: 2010-05-25 15:09 UTC by Justin Ross
Modified: 2010-10-20 11:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Justin Ross 2010-05-25 15:09:15 UTC
For instance, user.name from the cumin schema must be unique. The tools already check that you don't add duplicates, but the schema should also enforce this.

Comment 1 Justin Ross 2010-07-15 20:49:35 UTC
Implemented at revision 4120.

Comment 2 Jan Sarenik 2010-09-03 11:49:20 UTC
Verified on cumin-0.1.4219-1.el5

# cumin-admin print-schema | grep -i unique | wc -l
35


Note You need to log in before you can comment on or make changes to this bug.